> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://api.alsona.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://api.alsona.com/_mcp/server.

# Create inbox label

POST https://alsona.com/rest/accounts/{account_id}/inbox/labels
Content-Type: application/json

Reference: https://api.alsona.com/api-reference/inbox/create-inbox-label

## Authentication

- `X-API-KEY` header (required) — API Key authentication via header

## Request

### Path parameters

- `account_id` (string, required)

### Body (application/json)

This endpoint expects an object.

- `label` (RestAccountsAccountIdInboxLabelsPostRequestBodyContentApplicationJsonSchemaLabel, required)

## Response

### 200

Successful response

- `success` (boolean, optional)

## Types

### RestAccountsAccountIdInboxLabelsPostRequestBodyContentApplicationJsonSchemaLabel

- `id` (string, optional)
- `name` (string, optional)
- `color` (string, optional)

## Examples

**Request**

```json
{
  "label": {
    "id": "follow_up",
    "name": "Follow up later",
    "color": "purple"
  }
}
```

**Response**

```json
{
  "success": true
}
```

**SDK Code**

```python
import requests

url = "https://alsona.com/rest/accounts/account_id/inbox/labels"

payload = { "label": {
        "id": "follow_up",
        "name": "Follow up later",
        "color": "purple"
    } }
headers = {
    "X-API-KEY": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://alsona.com/rest/accounts/account_id/inbox/labels';
const options = {
  method: 'POST',
  headers: {'X-API-KEY': '<apiKey>', 'Content-Type': 'application/json'},
  body: '{"label":{"id":"follow_up","name":"Follow up later","color":"purple"}}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://alsona.com/rest/accounts/account_id/inbox/labels"

	payload := strings.NewReader("{\n  \"label\": {\n    \"id\": \"follow_up\",\n    \"name\": \"Follow up later\",\n    \"color\": \"purple\"\n  }\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("X-API-KEY", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://alsona.com/rest/accounts/account_id/inbox/labels")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["X-API-KEY"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"label\": {\n    \"id\": \"follow_up\",\n    \"name\": \"Follow up later\",\n    \"color\": \"purple\"\n  }\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://alsona.com/rest/accounts/account_id/inbox/labels")
  .header("X-API-KEY", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"label\": {\n    \"id\": \"follow_up\",\n    \"name\": \"Follow up later\",\n    \"color\": \"purple\"\n  }\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://alsona.com/rest/accounts/account_id/inbox/labels', [
  'body' => '{
  "label": {
    "id": "follow_up",
    "name": "Follow up later",
    "color": "purple"
  }
}',
  'headers' => [
    'Content-Type' => 'application/json',
    'X-API-KEY' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://alsona.com/rest/accounts/account_id/inbox/labels");
var request = new RestRequest(Method.POST);
request.AddHeader("X-API-KEY", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"label\": {\n    \"id\": \"follow_up\",\n    \"name\": \"Follow up later\",\n    \"color\": \"purple\"\n  }\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "X-API-KEY": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = ["label": [
    "id": "follow_up",
    "name": "Follow up later",
    "color": "purple"
  ]] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://alsona.com/rest/accounts/account_id/inbox/labels")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```